ports/148597: [PATCH] emulators/lisaem: remove bash building dependency
Bapt
baptiste.daroussin at gmail.com
Wed Jul 14 10:30:11 UTC 2010
>Number: 148597
>Category: ports
>Synopsis: [PATCH] emulators/lisaem: remove bash building dependency
>Confidential: no
>Severity: non-critical
>Priority: low
>Responsible: freebsd-ports-bugs
>State: open
>Quarter:
>Keywords:
>Date-Required:
>Class: change-request
>Submitter-Id: current-users
>Arrival-Date: Wed Jul 14 10:30:10 UTC 2010
>Closed-Date:
>Last-Modified:
>Originator: Bapt
>Release: FreeBSD 8.1-PRERELEASE amd64
>Organization:
>Environment:
System: FreeBSD azathoth.lan 8.1-PRERELEASE FreeBSD 8.1-PRERELEASE #5 r208894M: Tue Jun 8 11:03:27
>Description:
- Remove bash building dependency
- Add license
Port maintainer (trasz at FreeBSD.org) is cc'd.
Generated with FreeBSD Port Tools 0.99
>How-To-Repeat:
>Fix:
--- lisaem-1.2.6_4.patch begins here ---
diff -ruN --exclude=CVS /usr/ports/emulators/lisaem.orig/Makefile /usr/ports/emulators/lisaem/Makefile
--- /usr/ports/emulators/lisaem.orig/Makefile 2010-03-28 08:34:15.000000000 +0200
+++ /usr/ports/emulators/lisaem/Makefile 2010-07-14 12:27:28.121632925 +0200
@@ -14,8 +14,10 @@
MAINTAINER= trasz at FreeBSD.org
COMMENT= Apple Lisa 2 Emulator
-BUILD_DEPENDS= bash:${PORTSDIR}/shells/bash \
- pngtopnm:${PORTSDIR}/graphics/netpbm
+BUILD_DEPENDS= pngtopnm:${PORTSDIR}/graphics/netpbm
+
+LICENSE= GPLv2
+LICENSE_FILE= ${WRKSRC}/COPYING
USE_BZIP2= yes
USE_WX= 2.8
@@ -24,7 +26,7 @@
${REINPLACE_CMD} -e "s|/usr/local|${PREFIX}|g" \
-e "s|wx-config|${WX_CONFIG}|g" ${WRKSRC}/build.sh
do-build:
- cd ${WRKSRC} && ${SETENV} ${MAKE_ENV} ${LOCALBASE}/bin/bash build.sh build
+ cd ${WRKSRC} && ${SETENV} ${MAKE_ENV} ./build.sh build
do-install:
@# This file is a symlink to itself; result of mistyped command?
diff -ruN --exclude=CVS /usr/ports/emulators/lisaem.orig/files/patch-build.sh /usr/ports/emulators/lisaem/files/patch-build.sh
--- /usr/ports/emulators/lisaem.orig/files/patch-build.sh 2008-01-03 18:22:35.000000000 +0100
+++ /usr/ports/emulators/lisaem/files/patch-build.sh 2010-07-14 12:14:26.190066855 +0200
@@ -1,16 +1,111 @@
---- build.sh.orig 2007-12-11 15:26:12.000000000 +0100
-+++ build.sh 2007-12-13 23:24:15.000000000 +0100
-@@ -469,8 +469,8 @@
- which wx-config
+--- ./build.sh.orig 2007-12-11 15:26:12.000000000 +0100
++++ ./build.sh 2010-07-14 12:13:45.217194209 +0200
+@@ -1,4 +1,4 @@
+-#!/bin/bash
++#!/bin/sh
+
+ #### Edit these options for your system
+
+@@ -44,7 +44,7 @@
+
+ if [ -z "$CYGWIN" ];
+ then
+- [ "`uname`" == "CYGWIN_NT-5.0" ] && CYGWIN="`uname`"
++ [ "`uname`" = "CYGWIN_NT-5.0" ] && CYGWIN="`uname`"
+ fi
+
+
+@@ -154,14 +154,14 @@
+ else
+
+ WXVER=0
+-case "`wx-config --version`" in
++case "`/usr/local/bin/wxgtk2-2.8-config --version`" in
+ 2.9*|3*)
+ echo WARNING: wxWidgets versions higher than 2.8 have not been tested.
+ echo It might work if they are compiled with backwards compatibility.
+ ;;
+ 2.8*) ;;
+ *) echo Could not find wxWidgets 2.8.0 or higher.
+- echo Please install it and ensure that wx-config is in the path
++ echo Please install it and ensure that /usr/local/bin/wxgtk2-2.8-config is in the path
+ exit 1
+ ;;
+ esac
+@@ -169,7 +169,7 @@
+
+ fi
+ #$CYGWIN is pre-set. Cache $DARWIN so we don't have to call uname over and over.
+-[ "`uname`" == "Darwin" ] && DARWIN="Darwin"
++[ "`uname`" = "Darwin" ] && DARWIN="Darwin"
+
+ # not needed on OS X
+ if [ -z "$DARWIN" ]
+@@ -190,8 +190,8 @@
+ # purpose of this is to avoid errors on systems that have only unicode.
+ if [ -z "$CYGWIN" ]
+ then
+- WXREL="`wx-config --release`"
+- if [ -n "`wx-config --list | grep $WXREL | grep unicode`" ]
++ WXREL="`/usr/local/bin/wxgtk2-2.8-config --release`"
++ if [ -n "`/usr/local/bin/wxgtk2-2.8-config --list | grep $WXREL | grep unicode`" ]
+ then
+ WITHUNICODE="--unicode=yes"
+ fi
+@@ -230,11 +230,11 @@
+ # if the object is older than the source, it will return true.
+ ##############################################################################
+
+-function NEEDED()
++NEEDED()
+ {
+ if [ -f $2 ]
+ then
+- [ "`ls -tr $2 $1 2>/dev/null| tail -1`" == "$1" ] && return 0
++ [ "`ls -tr $2 $1 2>/dev/null| tail -1`" = "$1" ] && return 0
+ return 1
+ fi
+ return 0
+@@ -379,8 +379,8 @@
+ (OS X only, doesn't work properly elsewhere)
+ --without-rawbitmap Disables Raw bitmap access, uses wxImage::SetRGB instead
+ (default for non-OS X)
+---with-unicode Ask wx-config for a unicode build (might not yet work)
+---without-unicode Ask wx-config for a non-unicode build (default)
++--with-unicode Ask /usr/local/bin/wxgtk2-2.8-config for a unicode build (might not yet work)
++--without-unicode Ask /usr/local/bin/wxgtk2-2.8-config for a non-unicode build (default)
+
+ Environment Variables you can pass:
+
+@@ -462,20 +462,20 @@
+ then
+ # many thanks to David Cecchin for finding the unicode issues fixed below.
+
+- WXCONFIGFLAGS=`wx-config --cppflags $WITHUNICODE `
++ WXCONFIGFLAGS=`/usr/local/bin/wxgtk2-2.8-config --cppflags $WITHUNICODE `
+ if [ -z "$WXCONFIGFLAGS" ]
+ then
+- echo wx-config has failed, or returned an error. Ensure that it exists in your path.
+- which wx-config
++ echo /usr/local/bin/wxgtk2-2.8-config has failed, or returned an error. Ensure that it exists in your path.
++ which /usr/local/bin/wxgtk2-2.8-config
exit 3
fi
- CFLAGS="-I. -I../include -I../cpu68k -I../wxui $WXCONFIGFLAGS $WITHOPTIMIZE $WITHDEBUG"
- CXXFLAGS="-I. -I../include -I../cpu68k -I../wxui $WXCONFIGFLAGS $WITHOPTIMIZE $WITHDEBUG"
-+ CFLAGS+=" -I. -I../include -I../cpu68k -I../wxui $WXCONFIGFLAGS"
-+ CXXFLAGS+=" -I. -I../include -I../cpu68k -I../wxui $WXCONFIGFLAGS"
- LINKOPTS="`wx-config $STATIC $WITHUNICODE --libs --linkdeps --cppflags`"
+- LINKOPTS="`wx-config $STATIC $WITHUNICODE --libs --linkdeps --cppflags`"
++ CFLAGS="$CFLAGS -I. -I../include -I../cpu68k -I../wxui $WXCONFIGFLAGS"
++ CXXFLAGS="$CXXFLAGS -I. -I../include -I../cpu68k -I../wxui $WXCONFIGFLAGS"
++ LINKOPTS="`/usr/local/bin/wxgtk2-2.8-config $STATIC $WITHUNICODE --libs --linkdeps --cppflags`"
if [ -z "$LINKOPTS" ]
then
+- echo wx-config has failed, or returned an error. Ensure that it exists in your path.
+- which wx-config
++ echo /usr/local/bin/wxgtk2-2.8-config has failed, or returned an error. Ensure that it exists in your path.
++ which /usr/local/bin/wxgtk2-2.8-config
+ exit 3
+ fi
+
@@ -840,7 +840,7 @@
#echo $CXX $GCCSTATIC $WITHTRACE $WITHDEBUG -o ../bin/lisaem $LIST ../generator/libgenerator.a ../cpu68k/lib68k.a $LINKOPTS $SYSLIBS
if [ -z "$WITHWXUI" ]
diff -ruN --exclude=CVS /usr/ports/emulators/lisaem.orig/pkg-plist /usr/ports/emulators/lisaem/pkg-plist
--- /usr/ports/emulators/lisaem.orig/pkg-plist 2008-01-03 18:22:34.000000000 +0100
+++ /usr/ports/emulators/lisaem/pkg-plist 2010-07-14 12:26:56.931730331 +0200
@@ -1,30 +1,30 @@
bin/lisaem
-share/lisaem/Info.plist
-share/lisaem/LisaEm.icns
-share/lisaem/floppy0.png
-share/lisaem/floppy1.png
-share/lisaem/floppy2.png
-share/lisaem/floppy3.png
-share/lisaem/floppyN.png
-share/lisaem/floppy_eject.wav
-share/lisaem/floppy_insert_sound.wav
-share/lisaem/floppy_motor1.wav
-share/lisaem/floppy_motor2.wav
-share/lisaem/lisa128x85.xpm
-share/lisaem/lisa2icon.ico
-share/lisaem/lisa2icon.ico.old
-share/lisaem/lisa2icon.xpm
-share/lisaem/lisa_power_switch01.wav
-share/lisaem/lisa_power_switch02.wav
-share/lisaem/lisaem.exe.Manifest
-share/lisaem/lisaem.ico
-share/lisaem/lisaem.ico.old
-share/lisaem/lisaface0.png
-share/lisaem/lisaface1.png
-share/lisaem/lisaface2.png
-share/lisaem/lisaface3.png
-share/lisaem/power_off.png
-share/lisaem/power_on.png
-share/lisaem/poweroffclk.wav
- at dirrm share/lisaem
+%%DATADIR%%Info.plist
+%%DATADIR%%LisaEm.icns
+%%DATADIR%%floppy0.png
+%%DATADIR%%floppy1.png
+%%DATADIR%%floppy2.png
+%%DATADIR%%floppy3.png
+%%DATADIR%%floppyN.png
+%%DATADIR%%floppy_eject.wav
+%%DATADIR%%floppy_insert_sound.wav
+%%DATADIR%%floppy_motor1.wav
+%%DATADIR%%floppy_motor2.wav
+%%DATADIR%%lisa128x85.xpm
+%%DATADIR%%lisa2icon.ico
+%%DATADIR%%lisa2icon.ico.old
+%%DATADIR%%lisa2icon.xpm
+%%DATADIR%%lisa_power_switch01.wav
+%%DATADIR%%lisa_power_switch02.wav
+%%DATADIR%%lisaem.exe.Manifest
+%%DATADIR%%lisaem.ico
+%%DATADIR%%lisaem.ico.old
+%%DATADIR%%lisaface0.png
+%%DATADIR%%lisaface1.png
+%%DATADIR%%lisaface2.png
+%%DATADIR%%lisaface3.png
+%%DATADIR%%power_off.png
+%%DATADIR%%power_on.png
+%%DATADIR%%poweroffclk.wav
+ at dirrm %%DATADIR%%
share/LisaEm
--- lisaem-1.2.6_4.patch ends here ---
>Release-Note:
>Audit-Trail:
>Unformatted:
More information about the freebsd-ports-bugs
mailing list